/* MEDIA QUERIES */

@media not all and (min-width: 1536px) {
  :root {
    --wp--preset--font-size--60: 56px !important;
    --wp--preset--font-size--40: 36px !important;
    --wp--preset--font-size--28: 24px !important;
  }
}

@media not all and (min-width: 1280px) {
  :root {
    --px: 40px !important;
    --py: 40px !important;
    --wp--preset--font-size--60: 48px !important;
    --wp--preset--font-size--40: 32px !important;
    --wp--preset--font-size--36: 32px !important;
    --wp--preset--font-size--28: 20px !important;
  }

  .link-footer {
    gap: 16px !important;
  }
}

@media not all and (min-width: 1024px) {
  :root {
    --wp--preset--font-size--60: 44px !important;
    --wp--preset--font-size--40: 28px !important;
  }
}

@media not all and (min-width: 768px) {
}

@media not all and (min-width: 640px) {
  :root {
    --px: 20px !important;
    --py: 32px !important;
    --wp--preset--font-size--60: 36px !important;
    --wp--preset--font-size--40: 20px !important;
    --wp--preset--font-size--36: 20px !important;
  }

  .nav-ul {
    width: 100vw !important;
  }
}

@media not all and (min-width: 391px) {
}

/* GENERAL */

html {
  scroll-behavior: smooth;
  scroll-padding-top: var(--top-header);
}

p:empty {
  display: none;
}

:root {
  --black: var(--wp--preset--color--custom-black);
  --white: var(--wp--preset--color--custom-white);
  --blue: var(--wp--preset--color--custom-blue);
  --light-blue: var(--wp--preset--color--custom-light-blue);
  --grey: var(--wp--preset--color--custom-grey);
  --px: 60px;
  --py: 60px;
  --top-header: 106px;
}

.hidden {
  display: none !important;
}

/* HEADER */

.div-header {
  transition: background 0.3s ease-out, box-shadow 0.3s ease-out;
}

html[data-scroll="0"] .div-header {
  background: transparent;
  box-shadow: none;
}

html:not([data-scroll="0"]) .div-header,
html[data-scroll="0"] .error404 .div-header,
html[data-scroll="0"] .page-id-547 .div-header{
  background: rgba(255, 255, 255, 0.70);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.05);
}

.logo-header {
  transition: fill 0.3s ease-out;
}

html[data-scroll="0"] .logo-header {
  fill: var(--white);
}

html:not([data-scroll="0"]) .logo-header,
html[data-scroll="0"] .error404 .logo-header, 
html[data-scroll="0"] .page-id-547 .logo-header {
  fill: var(--black);
}

html[data-scroll="0"] .logo-header:hover,
html:not([data-scroll="0"]) .logo-header:hover{
  fill: var(--light-blue);
}

.icon-burger {
  width: 60px;
  height: 60px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 6px;
  background: linear-gradient(0deg, rgba(255, 255, 255, 0.70) 0%,  rgba(255, 255, 255, 0.70) 100%), #40ABE1;
  border-radius: 100%;
  border: solid 1px var(--light-blue);
  transition: background 0.3s ease-out;
}

.icon-burger:hover {
  background: linear-gradient(0deg, rgba(255, 255, 255, 0.50) 0%,  rgba(255, 255, 255, 0.50) 100%);
}

.icon-burger span {
  width: 25px;
  height: 2px;
  background: var(--blue);
  transform: rotate(0deg) translateX(0) translateY(0);
  opacity: 1;
  transition: all 0.3s ease-out;
}

.icon-burger.active span:nth-child(1) {
  transform: rotate(45deg) translateX(5.5px) translateY(5.5px);
}
.icon-burger.active span:nth-child(2) {
  opacity: 0;
}
.icon-burger.active span:nth-child(3) {
  transform: rotate(-45deg) translateX(5.5px) translateY(-5.5px);
}

/* MENU MOBILE */

.menu-mobile {
  position: fixed;
  z-index: 2;
  top: var(--top-header);
  left: 0;
  height: calc(100vh - var(--top-header));
  transform: translateX(calc(-100% - 12px));
  transition:
    height 0.3s ease-out,
    transform 0.4s ease-out;
}

.menu-mobile.active {
  transform: translateX(0%);
}

.menu-item a {
  display: inline-block;
  position: relative;
  width: fit-content;
  font-family: var(--wp--preset--font-family--poppins), sans-serif;
  font-size: var(--wp--preset--font-size--p);
  text-transform: uppercase;
  color: var(--white);
  font-weight: 500;
  padding: 10px;
}

.menu-item a::after {
  content: "";
  position: absolute;
  bottom: 0px;
  left: 0;
  width: 100%;
  height: 1px;
  background: var(--white);
  transform: scaleX(0);
  transform-origin: right;
  transition: transform 0.3s ease-out;
}

.menu-item a:hover::after,
.current-menu-item a::after {
  transform: scaleX(1);
  transform-origin: left;
}

.nav-ul {
  max-height: calc(100dvh - var(--top-header) - 80px);
  min-height: 100%;
  height: fit-content;
  width: calc(100% + 12px);
  overflow-y: auto;
  scrollbar-width: thin;
  scrollbar-color: var(--white) transparent;
  background: var(--blue);
}

/* FOOTER */

.logo-footer {
  fill: var(--white);
  transition: fill 0.3s ease-out;
}

.logo-footer:hover {
  fill: var(--light-blue);
}

.link-footer {
  display: flex;
  align-items: center;
  gap: 40px;
}

.link-footer__icon {
  display:flex;
  align-items: center;
  justify-content: center;
  width: 60px;
  min-width: 60px;
  height: 60px;
  border-radius: 100%;
  background: var(--white);
  border: solid 1px var(--light-blue);
  transition: background 0.3s ease-out;
}

.link-footer:hover .link-footer__icon {
  background: var(--light-blue);
}

.link-footer__text {
  color: var(--white);
  transition: color 0.3s ease-out;
}

.link-footer:hover .link-footer__text {
  color: var(--light-blue);
}

.logo-ara {
  display: flex;
  align-items: center;
  gap: 12px;
  opacity: 0.8;
}

.logo-ara svg {
  fill: var(--white);
  transition: fill 0.3s ease-out;
}

.logo-ara:hover svg {
  fill: var(--light-blue);
}

/* CONTACT */

.wpforms-container {
  width: 100% !important;
  margin: 0 !important;
}

.wpforms-field-medium {
  max-width: 100% !important;
}

.wpforms-required-label {
  display: none !important;
}

.wpforms-field-container label,
.wpforms-field-container legend,
.wpforms-field-container input,
.wpforms-field textarea,
.modern-title {
  font-size: var(--wp--preset--font-size--p) !important;
  font-family: var(--wp--preset--font-family--poppins) !important;
  color: var(--blue) !important;
  margin: 0 !important;
  font-weight: 400 !important;
  line-height: normal !important;
}

.wpforms-field-container label:not(.wpforms-field-label-inline),
legend {
  padding-bottom: 6px !important;
}

.wpforms-container .wpforms-field {
  padding-bottom: 16px !important;
  padding-top: 0 !important;
}

.wpforms-submit::after {
  border: none !important;
  position: inherit !important;
}

.depth-1 {
  align-items: center !important;
}

#wpforms-486-field_5,
#wpforms-518-field_10,
.wpforms-uploader,
.choices__list--dropdown,
.choices__inner {
  border-radius: 18px !important;
}

.wpforms-uploader  {
  padding: 10px 15px !important;
  border-style: solid !important;
}

.wpforms-container-full .wpforms-form .wpforms-submit-container {
  margin-top: 40px !important;
}

.btn-envoi-form {
    padding: 20px 24px !important;
    border-radius: 360px !important;
    display: flex !important;
    align-items: center !important;
    gap: 10px !important;
    border: solid 1px !important;
    background: linear-gradient(0deg, rgba(255, 255, 255, 0.70) 0%,  rgba(255, 255, 255, 0.70) 100%), #40ABE1 !important;
    border-color: var(--light-blue) !important;
    transition: background 0.3s ease-out !important;
}

.btn-envoi-form:hover {
    background: linear-gradient(0deg, rgba(255, 255, 255, 0.50) 0%,  rgba(255, 255, 255, 0.50) 100%) !important;
}

.btn-envoi-form span {
    font-weight: 500 !important;
    font-size: var(--wp--preset--font-size--p) !important;
    font-family: var(--wp--preset--font-family--poppins) !important;
    color: var(--blue) !important;
    transition: all 0.3s ease-out !important;
}

.choices__placeholder {
  opacity: 1 !important;
}

/* MENTIONS LEGALES */

.netdev-mentions-legales {
  width: 100%;
}

.netdev-mentions-legales h2 {
  padding-top: 40px;
  padding-bottom: 20px;
}

.netdev-mentions-legales a {
  font-weight: 700;
  color: var(--black);
  word-break: break-all;
  transition: color 0.3s ease-out;
}

.netdev-mentions-legales a:hover {
  color: var(--light-blue);
}
